View Issue Details

IDProjectCategoryView StatusLast Update
0022056LazarusIDEpublic2012-05-31 15:19
ReporteralexPAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64 fpc2.6.0OSlinux fedora 16 x64OS VersionLazarus svn
Product VersionProduct Build 
Target VersionFixed in Version1.1 (SVN) 
Summary0022056: StringGrid error by deleting contents of a cell
Descriptionin build 37292M

enter a StringGrid go into options in place goediting true, have run

type something in one cell out of her reselect the same cell (without selecting the text box only the cell) press DELETE in its place is left blank it appears a question mark (?) from what I understand he is saving the code key delete the character cell dai considers invalid.
TagsNo tags attached.
Fixed in Revisionr37446
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0022057 resolvedJesus Reyes Cannot close application with Alt+F4 if TCustomGrid has focus 

Activities

Juha Manninen

2012-05-17 09:40

developer   ~0059662

Fixed, please test.

alexP

2012-05-17 12:30

reporter   ~0059667

as to delete has been corrected, but I noticed that shift with the same thing happens, select a blank cell with just one click and press the shift or ctrl or printscren or any function key or key popup (next to the space or the super key (windows)

thanks for the quick return

William de Oliveira Ferreira

2012-05-17 15:53

reporter   ~0059672

I tested here was the problem with many other keys, for example:
ctrl, shift, f1..f12 (except for f2 that enabled editing as when press enter)

Juha Manninen

2012-05-17 16:41

developer   ~0059679

Ok, I fixed that, too. Please test again.

alexP

2012-05-17 18:24

reporter   ~0059689

the tests that I only missed the printscreen button and insert key issue that still are with the other users are resolved

Juha Manninen

2012-05-17 21:05

developer   ~0059694

Fixed (more). I think is it good now so I resolve it.

Jesus Reyes

2012-05-28 21:42

developer   ~0060021

please test again with (or after) r37446

alexP

2012-05-31 01:08

reporter   ~0060081

ok, tested and may close the case svn 37464

Bart Broersma

2012-05-31 15:19

developer   ~0060090

Closed at the request of original repoter.

Issue History

Date Modified Username Field Change
2012-05-17 03:16 alexP New Issue
2012-05-17 03:16 alexP Widgetset => GTK 2
2012-05-17 08:52 Juha Manninen Status new => assigned
2012-05-17 08:52 Juha Manninen Assigned To => Juha Manninen
2012-05-17 09:40 Juha Manninen Fixed in Revision => r37302
2012-05-17 09:40 Juha Manninen LazTarget => -
2012-05-17 09:40 Juha Manninen Status assigned => resolved
2012-05-17 09:40 Juha Manninen Resolution open => fixed
2012-05-17 09:40 Juha Manninen Note Added: 0059662
2012-05-17 12:30 alexP Status resolved => assigned
2012-05-17 12:30 alexP Resolution fixed => reopened
2012-05-17 12:30 alexP Note Added: 0059667
2012-05-17 15:53 William de Oliveira Ferreira Note Added: 0059672
2012-05-17 16:41 Juha Manninen Note Added: 0059679
2012-05-17 18:24 alexP Note Added: 0059689
2012-05-17 21:05 Juha Manninen Fixed in Revision r37302 => r37302, r37305, r37309
2012-05-17 21:05 Juha Manninen Status assigned => resolved
2012-05-17 21:05 Juha Manninen Resolution reopened => fixed
2012-05-17 21:05 Juha Manninen Note Added: 0059694
2012-05-18 17:37 Juha Manninen Relationship added related to 0022057
2012-05-28 21:42 Jesus Reyes Note Added: 0060021
2012-05-28 21:42 Jesus Reyes Status resolved => feedback
2012-05-31 01:08 alexP Note Added: 0060081
2012-05-31 15:18 Bart Broersma Fixed in Revision r37302, r37305, r37309 => r37446
2012-05-31 15:18 Bart Broersma Status feedback => resolved
2012-05-31 15:19 Bart Broersma Status resolved => closed
2012-05-31 15:19 Bart Broersma Note Added: 0060090
2012-05-31 15:19 Bart Broersma Fixed in Version => 1.1 (SVN)